- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#body.BatchCreateUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#body.aspect)
- [CreateUserRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#CreateUserRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#CreateUserRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#try-it)

Creates `User` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/users:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Users` will be created. Format: `networks/{networkCode}` The parent field in the CreateUserRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#CreateUserRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchCreate#CreateUserRequest`)`` Required. The `User` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `users.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "users": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users#User`) } ] } ``` |

| Fields ||
|---|---|
| `users[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users#User`)`` The `User` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateUserRequest

Request object for `users.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "user": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users#User`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `User` will be created. Format: `networks/{networkCode}` |
| `user` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users#User`)`` Required. The `User` to create. |